#if !defined(AFX_DIALOGIOTESTDLG_H__F691C721_4C57_4138_943D_48A9C69F368A__INCLUDED_)
#define AFX_DIALOGIOTESTDLG_H__F691C721_4C57_4138_943D_48A9C69F368A__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// DialogIOTestDlg.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CDialogIOTestDlg dialog

class CDialogIOTestDlg : public CDialog
{
// Construction
public:
	CDialogIOTestDlg(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CDialogIOTestDlg)
	enum { IDD = IDD_IOTEST_DIALOG };
		// NOTE: the ClassWizard will add data members here
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CDialogIOTestDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CDialogIOTestDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnOutAllopen();
	afx_msg void OnTimer(UINT_PTR nIDEvent);
	afx_msg void OnOutAllclose();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
public:
	void SetLogicalParent(CWnd* pWnd) {m_pLogicalParent = pWnd;}
	CWnd *m_pLogicalParent;
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_DIALOGIOTESTDLG_H__F691C721_4C57_4138_943D_48A9C69F368A__INCLUDED_)
